[arch-commits] Commit in wireshark/trunk (PKGBUILD wireshark-1.1.2--as-needed.patch)

Ionut Biru ibiru at archlinux.org
Tue Nov 24 07:55:35 EST 2009


    Date: Tuesday, November 24, 2009 @ 07:55:35
  Author: ibiru
Revision: 59550

upgpkg: wireshark 1.2.4-1
    heimdal-1.3 rebuild and update to 1.2.4

Added:
  wireshark/trunk/wireshark-1.1.2--as-needed.patch
Modified:
  wireshark/trunk/PKGBUILD

----------------------------------+
 PKGBUILD                         |   17 +++++++++++------
 wireshark-1.1.2--as-needed.patch |   20 ++++++++++++++++++++
 2 files changed, 31 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-11-24 12:11:58 UTC (rev 59549)
+++ PKGBUILD	2009-11-24 12:55:35 UTC (rev 59550)
@@ -2,24 +2,25 @@
 # Maintainer: Hugo Doria <hugo at archlinux.org>
 
 pkgname=wireshark
-pkgver=1.2.2
+pkgver=1.2.4
 pkgrel=1
 pkgdesc="A free network protocol analyzer for Unix/Linux and Windows"
 arch=('i686' 'x86_64')
 license=('GPL2')
-depends=('gtk2>=2.14.5' 'heimdal>=1.2.1' 'libpcap>=1.0.0' 'bash' 'gnutls>=2.4.1' 'libcap>=2.16')
+depends=('gtk2>=2.18' 'heimdal>=1.3.1' 'libpcap>=1.0.0' 'bash' 'gnutls>=2.4.1' 'libcap>=2.16')
 makedepends=('bison' 'flex')
 url="http://www.wireshark.org/"
 replaces=('ethereal')
 options=(!libtool)
-source=(http://www.wireshark.org/download/src/${pkgname}-${pkgver}.tar.gz wireshark.desktop wireshark.png)
-md5sums=('3fa5f802313a4d8546bb2f50e769c369'
-         '504ede44c02b2a52f6cbd3bffdf93b8d'
-         'e771800a8c977fe223583a453bc27397')
+source=(http://www.wireshark.org/download/src/${pkgname}-${pkgver}.tar.gz wireshark.desktop wireshark.png wireshark-1.1.2--as-needed.patch)
 
 build() {
   cd ${srcdir}/${pkgname}-${pkgver}
   export CFLAGS="-fno-unit-at-a-time ${CFLAGS}"
+
+  patch -Np1 -i $srcdir/wireshark-1.1.2--as-needed.patch || return 1
+  autoreconf -f -i || return 1
+
   ./configure --prefix=/usr --with-ssl || return 1
   make all || return 1
   make DESTDIR=${pkgdir} install || return 1
@@ -27,3 +28,7 @@
   install -Dm644 ${srcdir}/wireshark.png ${pkgdir}/usr/share/icons/wireshark.png
   install -Dm644 ${srcdir}/wireshark.desktop ${pkgdir}/usr/share/applications/wireshark.desktop
 }
+sha256sums=('ede4ffefd8c47e8560c2b15ad2b555c30eff1ce52a1a3049deb085fa346377ac'
+            '10c8b5bdd1d161454c93df166f39b2bae72efe6021beb61d84dd65dc329260fe'
+            'a9f6d78dd64a87acd1b600222156b9fc26e7ccbbc43fc77c1da138908bdb2d3c'
+            '34aa27c611021c9a515cc4fed9778148395761bf6f4272130d3e83abcc13a499')

Added: wireshark-1.1.2--as-needed.patch
===================================================================
--- wireshark-1.1.2--as-needed.patch	                        (rev 0)
+++ wireshark-1.1.2--as-needed.patch	2009-11-24 12:55:35 UTC (rev 59550)
@@ -0,0 +1,20 @@
+diff --git a/epan/Makefile.am b/epan/Makefile.am
+index b2a569d..717e233 100644
+--- a/epan/Makefile.am
++++ b/epan/Makefile.am
+@@ -130,6 +130,7 @@ libwireshark_la_LIBADD = \
+ 	dissectors/libdirtydissectors.la $(wslua_lib) @SOCKET_LIBS@ @NSL_LIBS@ \
+ 	@C_ARES_LIBS@ @ADNS_LIBS@ @LIBGCRYPT_LIBS@ @LIBGNUTLS_LIBS@ \
+ 	@KRB5_LIBS@ @SSL_LIBS@ @LIBSMI_LDFLAGS@ @GEOIP_LIBS@ \
++	${top_builddir}/wiretap/libwiretap.la \
+ 	${top_builddir}/wsutil/libwsutil.la -lm
+ 
+ libwireshark_la_DEPENDENCIES = \
+@@ -137,6 +138,7 @@ libwireshark_la_DEPENDENCIES = \
+ 	libwireshark_asmopt.la crypt/libairpdcap.la ftypes/libftypes.la \
+ 	dfilter/libdfilter.la dissectors/libdissectors.la \
+ 	dissectors/libdirtydissectors.la $(wslua_lib) \
++	${top_builddir}/wiretap/libwiretap.la \
+ 	${top_builddir}/wsutil/libwsutil.la
+ 
+ #EXTRA_PROGRAMS = reassemble_test



More information about the arch-commits mailing list